
TYPO3.Neos - Feature # 51367

Status: Resolved Priority: Could have
Author: Jan-Erik Revsbech Category:
Created: 2013-08-26 Assigned To: Jan-Erik Revsbech
Updated: 2013-10-01 Due date:
Subject: Possiblity to register callback on importand Neos events
Description

For websites relying on JS, it would be great to be able to register callbacks in Neos, to be notified when certain event happens. Most
important when Neos reloads content, but other events would be something like

    -  content reload
    -  switch to preview mode
    -  switch back from preview mode
    -  selecting / editing a node
    -  unselecting a node

This could be done by triggering traditional jQuery events on the document object.

Associated revisions
Revision 8c16d4fb - 2013-10-01 17:29 - Jan-Erik Revsbech

[FEATURE] Trigger externally observable events on important actions

Trigger custom events that external site-specific JavaScript can listen on
whenever important events happen in Neos.
Currently event are triggered on the following actions

    -  PageReload
    -  EnablePreview
    -  DisablePreview
    -  NodeSelected
    -  NodeUnselected
    -  ContentModuleLoaded

Change-Id: I3169072cb8fc8d7fffe01f95762e7ae89ab77f86
Resolves: #51367
Reviewed-on: https://review.typo3.org/23379
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

History
#1 - 2013-08-27 21:15 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23379
#2 - 2013-08-27 21:22 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23379

#3 - 2013-08-28 08:11 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23379

#4 - 2013-09-02 09:52 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23379

#5 - 2013-10-01 16:11 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23379

#6 - 2013-10-01 16:45 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23379

#7 - 2013-10-01 17:29 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23379

#8 - 2013-10-01 17:35 - Jan-Erik Revsbech
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8c16d4fb3ecad0a46f1488b0eb3dad5f9098d5ae.
